cURL
curl --request GET \
--url https://api.opus.pro/api/exportable-clips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opus.pro/api/exportable-clips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opus.pro/api/exportable-clips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opus.pro/api/exportable-clips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.opus.pro/api/exportable-clips"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.opus.pro/api/exportable-clips")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opus.pro/api/exportable-clips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "P0000000demo.CUexample1",
"projectId": "P0000000demo",
"runId": "20241113071229217.FP",
"curationId": "CUexample1",
"orgId": "org_Example00000001",
"userId": "google-oauth2|100000000000000000001",
"storageUsed": 15537888,
"durationMs": 19478,
"title": "Connect Through Passion: The Power of Ensemble Performance",
"text": "Clip text content",
"createdAt": "2024-11-13T07:18:22.811Z",
"updatedAt": "2024-11-13T07:18:22.811Z",
"productTier": "PRO",
"renderPref": {
"enableAutoLayout": false,
"enableFillLayout": false,
"enableFitLayout": false,
"fitLayoutCropRatio": "4:3",
"enableSplitLayout": true,
"enableThreeLayout": true,
"enableFourLayout": true,
"enableScreenLayout": true,
"enableVisualHook": false,
"enableWatermark": false,
"enableCrop": true,
"enableCaption": true,
"enableUppercase": true,
"enableHighlight": true,
"enableEmoji": true,
"font": {
"color": "#ffffff",
"style": [
"900"
],
"family": "Komika-axis",
"stroke": {
"enabled": false,
"color": "#000000FF",
"width": 16
},
"shadow": {
"enabled": true,
"color": "#FFFFFFFF",
"x": 2,
"y": 2,
"blur": 16
}
},
"highlightColor": {
"primary": "#04f827",
"secondary": "#FFFD03"
}
},
"uriForPreview": "https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/esd.mp4?v=1731482302577650",
"uriForExport": "https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/ehd.mp4?v=1731482302564330",
"timeRanges": [
[
192170,
211630
]
],
"keywords": [
"Q&A"
],
"promptName": "Q&A",
"description": "Experience the magic of live performance as our talented cellist captivates the audience with her passionate playing. Witness the seamless coordination of the ensemble in a breathtaking display of musical artistry that will leave you inspired!",
"hashtags": "#ClassicalMusic #CelloPerformance #EnsembleMusic #LiveConcert #MusicPassion #CoordinatedPerformance #MusicalArtistry #Cellist #AudienceEngagement #StageMagic",
"genre": "Auto",
"subgenre": "general",
"clipCopilotTaskId": "taskid"
}
]Clips
Get Clips
Retrieve a list of clips for a specific project.
GET
/
api
/
exportable-clips
cURL
curl --request GET \
--url https://api.opus.pro/api/exportable-clips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opus.pro/api/exportable-clips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opus.pro/api/exportable-clips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opus.pro/api/exportable-clips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.opus.pro/api/exportable-clips"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.opus.pro/api/exportable-clips")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opus.pro/api/exportable-clips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "P0000000demo.CUexample1",
"projectId": "P0000000demo",
"runId": "20241113071229217.FP",
"curationId": "CUexample1",
"orgId": "org_Example00000001",
"userId": "google-oauth2|100000000000000000001",
"storageUsed": 15537888,
"durationMs": 19478,
"title": "Connect Through Passion: The Power of Ensemble Performance",
"text": "Clip text content",
"createdAt": "2024-11-13T07:18:22.811Z",
"updatedAt": "2024-11-13T07:18:22.811Z",
"productTier": "PRO",
"renderPref": {
"enableAutoLayout": false,
"enableFillLayout": false,
"enableFitLayout": false,
"fitLayoutCropRatio": "4:3",
"enableSplitLayout": true,
"enableThreeLayout": true,
"enableFourLayout": true,
"enableScreenLayout": true,
"enableVisualHook": false,
"enableWatermark": false,
"enableCrop": true,
"enableCaption": true,
"enableUppercase": true,
"enableHighlight": true,
"enableEmoji": true,
"font": {
"color": "#ffffff",
"style": [
"900"
],
"family": "Komika-axis",
"stroke": {
"enabled": false,
"color": "#000000FF",
"width": 16
},
"shadow": {
"enabled": true,
"color": "#FFFFFFFF",
"x": 2,
"y": 2,
"blur": 16
}
},
"highlightColor": {
"primary": "#04f827",
"secondary": "#FFFD03"
}
},
"uriForPreview": "https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/esd.mp4?v=1731482302577650",
"uriForExport": "https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample1/ehd.mp4?v=1731482302564330",
"timeRanges": [
[
192170,
211630
]
],
"keywords": [
"Q&A"
],
"promptName": "Q&A",
"description": "Experience the magic of live performance as our talented cellist captivates the audience with her passionate playing. Witness the seamless coordination of the ensemble in a breathtaking display of musical artistry that will leave you inspired!",
"hashtags": "#ClassicalMusic #CelloPerformance #EnsembleMusic #LiveConcert #MusicPassion #CoordinatedPerformance #MusicalArtistry #Cellist #AudienceEngagement #StageMagic",
"genre": "Auto",
"subgenre": "general",
"clipCopilotTaskId": "taskid"
}
]Introduction
TheGET /api/exportable-clips endpoint returns a list of clips that are available for use in your projects. Each clip is associated with a unique ID that you can use to reference it in your project.
Request Parameters
q(required): Query type, must be one offindByProjectIdfindByCollectionId.projectId(required when q=findByProjectId): The unique identifier of the project.collectionId(required when q=findByCollectionId): The unique identifier of the collection.
Example
curl --request GET \
--url 'https://api.opus.pro/api/exportable-clips?q=findByProjectId&projectId=<PROJECT_ID>' \
--header 'Authorization: <API_KEY>' \
--header 'x-opus-org-id: <ORG_ID>'
Ensure you replace
API_KEY, PROJECT_ID, and ORG_ID with your actual values.Playground
Generate Code Snippet
Use this code generator to easily create code snippets.
Response Schema
API Response Schema
For more details of response, please refer to the API response schema.
Authorizations
Headers
Query Parameters
Response
200 - application/json
Successfully retrieved exportable clips
Render preference
Show child attributes
Show child attributes
Example:
{
"enableAutoLayout": false,
"enableFillLayout": false,
"enableFitLayout": false,
"fitLayoutCropRatio": "4:3",
"enableSplitLayout": true,
"enableThreeLayout": true,
"enableFourLayout": true,
"enableScreenLayout": true,
"enableVisualHook": false,
"enableWatermark": false,
"enableCrop": true,
"enableCaption": true,
"enableUppercase": true,
"enableHighlight": true,
"enableEmoji": true,
"font": {
"color": "#ffffff",
"style": ["900"],
"family": "Komika-axis",
"stroke": {
"enabled": false,
"color": "#000000FF",
"width": 16
},
"shadow": {
"enabled": true,
"color": "#FFFFFFFF",
"x": 2,
"y": 2,
"blur": 16
}
},
"highlightColor": {
"primary": "#04f827",
"secondary": "#FFFD03"
}
}
Was this page helpful?